package textures.settings;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class SettingsTextures {
	
	public static void getTextures(BufferedImage image) {

		// Settings Buttons
		/****** Brown Buttons Default ******/
		Textures.settingsButtonSheet[0] = Utils.grabSprite(image, 1, 1, 155, 29);
		Textures.settingsButtonSheet[2] = Utils.grabSprite(image, 1, 3, 155, 29);
		Textures.settingsButtonSheet[4] = Utils.grabSprite(image, 1, 5, 155, 29);
		Textures.settingsButtonSheet[6] = Utils.grabSprite(image, 1, 7, 155, 29);
		Textures.settingsButtonSheet[8] = Utils.grabSprite(image, 1, 9, 155, 29);
		Textures.settingsButtonSheet[10] = Utils.grabSprite(image, 2, 5, 155, 29);
		Textures.settingsButtonSheet[52] = Utils.grabSprite(image, 2, 7, 155, 29);
		/******* Brown Buttons Hovered ******/
		Textures.settingsButtonSheet[1] = Utils.grabSprite(image, 1, 2, 155, 29);
		Textures.settingsButtonSheet[3] = Utils.grabSprite(image, 1, 4, 155, 29);
		Textures.settingsButtonSheet[5] = Utils.grabSprite(image, 1, 6, 155, 29);
		Textures.settingsButtonSheet[7] = Utils.grabSprite(image, 1, 8, 155, 29);
		Textures.settingsButtonSheet[9] = Utils.grabSprite(image, 1, 10, 155, 29);
		Textures.settingsButtonSheet[11] = Utils.grabSprite(image, 2, 6, 155, 29);
		Textures.settingsButtonSheet[53] = Utils.grabSprite(image, 2, 8, 155, 29);

		/****** TRUE / FALSE Default ******/
		Textures.settingsButtonSheet[12] = Utils.grabSprite(image, 2, 1, 155, 29);
		Textures.settingsButtonSheet[14] = Utils.grabSprite(image, 2, 3, 155, 29);
		/****** TRUE / FALSE Hovered ******/
		Textures.settingsButtonSheet[13] = Utils.grabSprite(image, 2, 2, 155, 29);
		Textures.settingsButtonSheet[15] = Utils.grabSprite(image, 2, 4, 155, 29);

		/******* Resolutions Default ********/
		Textures.settingsButtonSheet[16] = Utils.grabSprite(image, 3, 1, 155, 29);
		Textures.settingsButtonSheet[18] = Utils.grabSprite(image, 3, 3, 155, 29);
		Textures.settingsButtonSheet[20] = Utils.grabSprite(image, 3, 5, 155, 29);
		Textures.settingsButtonSheet[22] = Utils.grabSprite(image, 3, 7, 155, 29);
		Textures.settingsButtonSheet[24] = Utils.grabSprite(image, 3, 9, 155, 29);
		Textures.settingsButtonSheet[26] = Utils.grabSprite(image, 3, 11, 155, 29);
		Textures.settingsButtonSheet[28] = Utils.grabSprite(image, 4, 2, 155, 29);
		Textures.settingsButtonSheet[30] = Utils.grabSprite(image, 4, 4, 155, 29);
		Textures.settingsButtonSheet[32] = Utils.grabSprite(image, 4, 6, 155, 29);
		Textures.settingsButtonSheet[34] = Utils.grabSprite(image, 4, 8, 155, 29);
		Textures.settingsButtonSheet[36] = Utils.grabSprite(image, 4, 10, 155, 29);
		/******** Resolutions Hovered *******/
		Textures.settingsButtonSheet[17] = Utils.grabSprite(image, 3, 2, 155, 29);
		Textures.settingsButtonSheet[19] = Utils.grabSprite(image, 3, 4, 155, 29);
		Textures.settingsButtonSheet[21] = Utils.grabSprite(image, 3, 6, 155, 29);
		Textures.settingsButtonSheet[23] = Utils.grabSprite(image, 3, 8, 155, 29);
		Textures.settingsButtonSheet[25] = Utils.grabSprite(image, 3, 10, 155, 29);
		Textures.settingsButtonSheet[27] = Utils.grabSprite(image, 4, 1, 155, 29);
		Textures.settingsButtonSheet[29] = Utils.grabSprite(image, 4, 3, 155, 29);
		Textures.settingsButtonSheet[31] = Utils.grabSprite(image, 4, 5, 155, 29);
		Textures.settingsButtonSheet[33] = Utils.grabSprite(image, 4, 7, 155, 29);
		Textures.settingsButtonSheet[35] = Utils.grabSprite(image, 4, 9, 155, 29);
		Textures.settingsButtonSheet[37] = Utils.grabSprite(image, 4, 11, 155, 29);

		/****** FPS CAPS DEFAULT *******/
		Textures.settingsButtonSheet[38] = Utils.grabSprite(image, 5, 1, 155, 29);
		Textures.settingsButtonSheet[39] = Utils.grabSprite(image, 5, 2, 155, 29);
		Textures.settingsButtonSheet[40] = Utils.grabSprite(image, 5, 3, 155, 29);
		Textures.settingsButtonSheet[41] = Utils.grabSprite(image, 5, 4, 155, 29);
		Textures.settingsButtonSheet[42] = Utils.grabSprite(image, 5, 5, 155, 29);
		Textures.settingsButtonSheet[43] = Utils.grabSprite(image, 5, 6, 155, 29);
		Textures.settingsButtonSheet[44] = Utils.grabSprite(image, 5, 7, 155, 29);
		/******* FPS CAPS Hovered ******/
		Textures.settingsButtonSheet[45] = Utils.grabSprite(image, 6, 1, 155, 29);
		Textures.settingsButtonSheet[46] = Utils.grabSprite(image, 6, 2, 155, 29);
		Textures.settingsButtonSheet[47] = Utils.grabSprite(image, 6, 3, 155, 29);
		Textures.settingsButtonSheet[48] = Utils.grabSprite(image, 6, 4, 155, 29);
		Textures.settingsButtonSheet[49] = Utils.grabSprite(image, 6, 5, 155, 29);
		Textures.settingsButtonSheet[50] = Utils.grabSprite(image, 6, 6, 155, 29);
		Textures.settingsButtonSheet[51] = Utils.grabSprite(image, 6, 7, 155, 29);
	}
}
